This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534959 - (RHQ-1704) Add "Compare To" button to Resource Configuration History tab
Add "Compare To" button to Resource Configuration History tab
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 22:45 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compare config screen snapshot (95.33 KB, image/png)
2011-03-25 14:56 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Charles Crouch 2009-03-02 22:45:00 EST
We've got support for showing multiple configs in a single view now, we should utilize it by adding a "Compare To" button on the resource config history page so that people can select older configs or the current config and diff them.
Comment 1 Joseph Marques 2009-03-22 11:41:52 EDT
granted, we /can/ show multiple configs in a single view, but this isn't necessarily the same as what was originally envisioned for diffing them.  last i spoke with greg, he wanted this to be a direct side-by-side view (constrained initially to 2 configs, perhaps 3 down the line).  however, your suggestion is intriguing, and i won't discount it from potentially being a general solution for N-wise comparison.
Comment 2 Red Hat Bugzilla 2009-11-10 15:38:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1704
Comment 3 wes hayutin 2010-02-16 12:08:59 EST
mass add of key word FutureFeature to help track
Comment 4 John Mazzitelli 2011-03-25 14:56:18 EDT
Created attachment 487647 [details]
compare config screen snapshot

this is now supported in the GWT UI.

In fact, we can compare N configs. If I am viewing a config history page, I can select N history items and I can view diffs (shows in red font, where same values are shown in a black font). See attached screen for an example.
Comment 5 Mike Foley 2011-04-15 12:27:39 EDT
verified the feature is added.  changed configuration of RHQ Agent changing the configuration.   additionally testest that failed save configuration changes do not show up on the compare tool.
Comment 6 Heiko W. Rupp 2013-09-02 03:17:20 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.